# Uses of Class
com.databricks.jdbc.model.client.filesystem.VolumePutResult

Packages that use VolumePutResult
Package
Description
com.databricks.jdbc.api
com.databricks.jdbc.api.impl.volume

## Uses of VolumePutResult in com.databricks.jdbc.api

Methods in com.databricks.jdbc.api that return types with arguments of type VolumePutResult
Modifier and Type
Method
Description
`List<VolumePutResult>`
IDatabricksVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<InputStream> inputStreams, List<Long> contentLengths, boolean toOverwrite)`
Uploads multiple files from input streams to specified paths within a UC Volume.
`List<VolumePutResult>`
IDatabricksVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<String> localPaths, boolean toOverwrite)`
Uploads multiple files from local paths to specified paths within a UC Volume.

## Uses of VolumePutResult in com.databricks.jdbc.api.impl.volume

Methods in com.databricks.jdbc.api.impl.volume that return types with arguments of type VolumePutResult
Modifier and Type
Method
Description
`List<VolumePutResult>`
DatabricksUCVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<InputStream> inputStreams, List<Long> contentLengths, boolean toOverwrite)`
`List<VolumePutResult>`
DatabricksUCVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<String> localPaths, boolean toOverwrite)`
`List<VolumePutResult>`
DBFSVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<InputStream> inputStreams, List<Long> contentLengths, boolean toOverwrite)`
Uploads multiple files from input streams to specified paths within a UC Volume.
`List<VolumePutResult>`
DBFSVolumeClient.`putFiles(String catalog, String schema, String volume, List<String> objectPaths, List<String> localPaths, boolean toOverwrite)`
Uploads multiple files from local paths to specified paths within a UC Volume.
Constructor parameters in com.databricks.jdbc.api.impl.volume with type arguments of type VolumePutResult
Modifier
Constructor
Description
``
`VolumeUploadCallback(IDatabricksHttpClient httpClient, CompletableFuture<VolumePutResult> uploadFuture, DBFSVolumeClient.UploadRequest request, Semaphore semaphore, VolumeUploadCallback.UrlGenerator urlGenerator, Function<Integer,Long> retryDelayCalculator, IDatabricksConnectionContext connectionContext)`
Constructor for the callback.